# Interface methods for submodule: MRCImageIO
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import StreamingImageIOBaseProxy as _StreamingImageIOBaseProxy


# Interface methods for class: MRCImageIO
class MRCImageIOProxy(_StreamingImageIOBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def WriteImageInformation(self) -> None:
		""""""
		...

	def CanReadFile(self, arg0) -> bool:
		""""""
		...

	def ReadImageInformation(self) -> None:
		""""""
		...

	def Read(self, buffer) -> None:
		""""""
		...

	def CanWriteFile(self, arg0) -> bool:
		""""""
		...

	def Write(self, buffer) -> None:
		""""""
		...

